package com.mortals.xhx.base.system.site.model;

import java.util.Date;

/**
*
* Description:Site
* date: 2021-9-27 10:26:34
*/
public class SiteEntity extends SiteEntityExt{
    private static final long serialVersionUID = 1632709594625L;

    /**
    * 站点名
    */
    private String siteName;

    /**
    * 父级id
    */
    private Long parentId;

    /**
    * 祖级列表，逗号分隔
    */
    private String ancestors;

    /**
    * 地址
    */
    private String address;

    /**
    * 电话
    */
    private String mobile;

    /**
    * 单位介绍
    */
    private String introduce;

    /**
    * 周一 1上班 0不上
    */
    private Integer workday1;

    /**
    * 周二 1上班 0不上
    */
    private Integer workday2;

    /**
    * 周三 1上班 0不上
    */
    private Integer workday3;

    /**
    * 周四 1上班 0不上
    */
    private Integer workday4;

    /**
    * 周五 1上班 0不上
    */
    private Integer workday5;

    /**
    * 周六 1上班 0不上
    */
    private Integer workday6;

    /**
    * 周日 1上班 0不上
    */
    private Integer workday7;

    /**
    * 站点编号
    */
    private String number;

    /**
    * 中心介绍
    */
    private String summary;

    /**
    * 排序字段
    */
    private Integer orderNum;

    /**
    * 站点状态 ，0，停用，1，正常 默认1
    */
    private Integer status;

    /**
    * 变更时间
    */
    private Date updateTime;

    /**
    * 变更用户loginName
    */
    private String updateUser;

    /**
    * 创建时间
    */
    private Date createTime;

    /**
    * 创建用户loginName
    */
    private String createUser;

    public SiteEntity(){

    }
    /**
    * 获取 站点名
    * @return siteName
    */
    public String getSiteName() {
        return this.siteName;
    }
    /**
    * 设置 站点名
    * @param siteName
    */
    public void setSiteName(String siteName) {
        this.siteName = siteName;
    }
    /**
    * 获取 父级id
    * @return parentId
    */
    public Long getParentId() {
        return this.parentId;
    }
    /**
    * 设置 父级id
    * @param parentId
    */
    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }
    /**
    * 获取 祖级列表，逗号分隔
    * @return ancestors
    */
    public String getAncestors() {
        return this.ancestors;
    }
    /**
    * 设置 祖级列表，逗号分隔
    * @param ancestors
    */
    public void setAncestors(String ancestors) {
        this.ancestors = ancestors;
    }
    /**
    * 获取 地址
    * @return address
    */
    public String getAddress() {
        return this.address;
    }
    /**
    * 设置 地址
    * @param address
    */
    public void setAddress(String address) {
        this.address = address;
    }
    /**
    * 获取 电话
    * @return mobile
    */
    public String getMobile() {
        return this.mobile;
    }
    /**
    * 设置 电话
    * @param mobile
    */
    public void setMobile(String mobile) {
        this.mobile = mobile;
    }
    /**
    * 获取 单位介绍
    * @return introduce
    */
    public String getIntroduce() {
        return this.introduce;
    }
    /**
    * 设置 单位介绍
    * @param introduce
    */
    public void setIntroduce(String introduce) {
        this.introduce = introduce;
    }
    /**
    * 获取 周一 1上班 0不上
    * @return workday1
    */
    public Integer getWorkday1() {
        return this.workday1;
    }
    /**
    * 设置 周一 1上班 0不上
    * @param workday1
    */
    public void setWorkday1(Integer workday1) {
        this.workday1 = workday1;
    }
    /**
    * 获取 周二 1上班 0不上
    * @return workday2
    */
    public Integer getWorkday2() {
        return this.workday2;
    }
    /**
    * 设置 周二 1上班 0不上
    * @param workday2
    */
    public void setWorkday2(Integer workday2) {
        this.workday2 = workday2;
    }
    /**
    * 获取 周三 1上班 0不上
    * @return workday3
    */
    public Integer getWorkday3() {
        return this.workday3;
    }
    /**
    * 设置 周三 1上班 0不上
    * @param workday3
    */
    public void setWorkday3(Integer workday3) {
        this.workday3 = workday3;
    }
    /**
    * 获取 周四 1上班 0不上
    * @return workday4
    */
    public Integer getWorkday4() {
        return this.workday4;
    }
    /**
    * 设置 周四 1上班 0不上
    * @param workday4
    */
    public void setWorkday4(Integer workday4) {
        this.workday4 = workday4;
    }
    /**
    * 获取 周五 1上班 0不上
    * @return workday5
    */
    public Integer getWorkday5() {
        return this.workday5;
    }
    /**
    * 设置 周五 1上班 0不上
    * @param workday5
    */
    public void setWorkday5(Integer workday5) {
        this.workday5 = workday5;
    }
    /**
    * 获取 周六 1上班 0不上
    * @return workday6
    */
    public Integer getWorkday6() {
        return this.workday6;
    }
    /**
    * 设置 周六 1上班 0不上
    * @param workday6
    */
    public void setWorkday6(Integer workday6) {
        this.workday6 = workday6;
    }
    /**
    * 获取 周日 1上班 0不上
    * @return workday7
    */
    public Integer getWorkday7() {
        return this.workday7;
    }
    /**
    * 设置 周日 1上班 0不上
    * @param workday7
    */
    public void setWorkday7(Integer workday7) {
        this.workday7 = workday7;
    }
    /**
    * 获取 站点编号
    * @return number
    */
    public String getNumber() {
        return this.number;
    }
    /**
    * 设置 站点编号
    * @param number
    */
    public void setNumber(String number) {
        this.number = number;
    }
    /**
    * 获取 中心介绍
    * @return summary
    */
    public String getSummary() {
        return this.summary;
    }
    /**
    * 设置 中心介绍
    * @param summary
    */
    public void setSummary(String summary) {
        this.summary = summary;
    }
    /**
    * 获取 排序字段
    * @return orderNum
    */
    public Integer getOrderNum() {
        return this.orderNum;
    }
    /**
    * 设置 排序字段
    * @param orderNum
    */
    public void setOrderNum(Integer orderNum) {
        this.orderNum = orderNum;
    }
    /**
    * 获取 站点状态 ，0，停用，1，正常 默认1
    * @return status
    */
    public Integer getStatus() {
        return this.status;
    }
    /**
    * 设置 站点状态 ，0，停用，1，正常 默认1
    * @param status
    */
    public void setStatus(Integer status) {
        this.status = status;
    }
    /**
    * 获取 变更时间
    * @return updateTime
    */
    public Date getUpdateTime() {
        return this.updateTime;
    }
    /**
    * 设置 变更时间
    * @param updateTime
    */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
    /**
    * 获取 变更用户loginName
    * @return updateUser
    */
    public String getUpdateUser() {
        return this.updateUser;
    }
    /**
    * 设置 变更用户loginName
    * @param updateUser
    */
    public void setUpdateUser(String updateUser) {
        this.updateUser = updateUser;
    }
    /**
    * 获取 创建时间
    * @return createTime
    */
    public Date getCreateTime() {
        return this.createTime;
    }
    /**
    * 设置 创建时间
    * @param createTime
    */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    /**
    * 获取 创建用户loginName
    * @return createUser
    */
    public String getCreateUser() {
        return this.createUser;
    }
    /**
    * 设置 创建用户loginName
    * @param createUser
    */
    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null)
            return false;
        if (obj instanceof SiteEntity) {
            SiteEntity tmp = (SiteEntity) obj;
            if (this.getId().longValue() == tmp.getId().longValue()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb
        .append(",id:").append(getId())
                .append(",siteName:").append(getSiteName())
                .append(",parentId:").append(getParentId())
                .append(",ancestors:").append(getAncestors())
                .append(",address:").append(getAddress())
                .append(",mobile:").append(getMobile())
                .append(",introduce:").append(getIntroduce())
                .append(",workday1:").append(getWorkday1())
                .append(",workday2:").append(getWorkday2())
                .append(",workday3:").append(getWorkday3())
                .append(",workday4:").append(getWorkday4())
                .append(",workday5:").append(getWorkday5())
                .append(",workday6:").append(getWorkday6())
                .append(",workday7:").append(getWorkday7())
                .append(",number:").append(getNumber())
                .append(",summary:").append(getSummary())
                .append(",orderNum:").append(getOrderNum())
                .append(",status:").append(getStatus())
                .append(",updateTime:").append(getUpdateTime())
                .append(",updateUser:").append(getUpdateUser())
                .append(",createTime:").append(getCreateTime())
                .append(",createUser:").append(getCreateUser())
        ;
        return sb.toString();
    }

    public void initAttrValue(){
         this.siteName = null;
         this.parentId = null;
         this.ancestors = null;
         this.address = null;
         this.mobile = null;
         this.introduce = null;
         this.workday1 = null;
         this.workday2 = null;
         this.workday3 = null;
         this.workday4 = null;
         this.workday5 = null;
         this.workday6 = null;
         this.workday7 = null;
         this.number = null;
         this.summary = null;
         this.orderNum = null;
         this.status = null;
         this.updateTime = null;
         this.updateUser = null;
         this.createTime = null;
         this.createUser = null;
    }
}